import { Router } from '@angular/router';
import { Injectable } from '@angular/core';
import { OAuthService } from 'angular-oauth2-oidc';
import {  } from '@angular/router';

@Injectable({
  providedIn: 'root',
})
export class AuthCallbackGuard  {

  constructor(private router$: Router,private oauthService$:OAuthService) {}

  canActivate() {
    this.router$.navigateByUrl(this.oauthService$.state);
    return false;
  }
}
